.. SPDX-License-Identifier: BSD-2-Clause

# _libcamera_ for the Raspberry Pi

Raspberry Pi provides a fully featured pipeline handler and control algorithms
(IPAs, or "Image Processing Algorithms") to work with _libcamera_. Support is
included for all existing Raspberry Pi camera modules.

_libcamera_ for the Raspberry Pi allows users to:

1. Use their existing Raspberry Pi cameras.
1. Change the tuning of the image processing for their Raspberry Pi cameras.
1. Alter or amend the control algorithms (such as AGC/AEC, AWB or any others)
   that control the sensor and ISP.
1. Implement their own custom control algorithms.
1. Supply new tunings and/or algorithms for completely new sensors.

## How to install and run _libcamera_ on the Raspberry Pi

Please follow the instructions [here](https://www.raspberrypi.com/documentation/accessories/camera.html).

## Documentation

Full documentation for the _Raspberry Pi Camera Algorithm and Tuning Guide_ can
be found [here](https://datasheets.raspberrypi.com/camera/raspberry-pi-camera-guide.pdf).
